Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::ConfigurationFile Class Reference

コンフィグレーションファイル More...

`#include <ConfigurationFile.h>`

List of all members.

## Public Member Functions
| ConfigurationFile (const String &fileName)
| コンストラクタ
virtual | ~ConfigurationFile ()
| デストラクタ
virtual int | getCount () const
| データ数の取得
virtual bool | getChar (const String &key, char *value) const
| charデータの取得
virtual bool | getUChar (const String &key, u_char *value) const
| u_charデータの取得
virtual bool | getShort (const String &key, short *value) const
| shortデータの取得
virtual bool | getUShort (const String &key, u_short *value) const
| u_shortデータの取得
virtual bool | getInt (const String &key, int *value) const
| intデータの取得
virtual bool | getUInt (const String &key, u_int *value) const
| u_intデータの取得
virtual bool | getFloat (const String &key, float *value) const
| floatデータの取得
virtual bool | getDouble (const String &key, double *value) const
| doubleデータの取得
virtual bool | getString (const String &key, String *value) const
| Stringデータの取得.

## Detailed Description

コンフィグレーションファイル

Definition at line 36 of file ConfigurationFile.h.

## Constructor & Destructor Documentation

Lamp::ConfigurationFile::ConfigurationFile | ( | const String & | fileName | ) | `[explicit]`

  | コンストラクタ Parameters:
  fileName | ロードするコンフィグファイル名
Definition at line 36 of file ConfigurationFile.cpp.

## Member Function Documentation

bool Lamp::ConfigurationFile::getChar | ( | const String & | key,
|  | char * | value
| ) | const`[virtual]`

  | charデータの取得 Parameters:
  key | 取得するデータのキー
  value | [out] char化された値が代入されます
Returns: trueならデータの取得に成功 Definition at line 76 of file ConfigurationFile.cpp. References Lamp::HashMap< String, String >::get(), Lamp::String::getSize(), and Lamp::String::parseChar().

bool Lamp::ConfigurationFile::getDouble | ( | const String & | key,
|  | double * | value
| ) | const`[virtual]`

  | doubleデータの取得 Parameters:
  key | 取得するデータのキー
  value | [out] double化された値が代入されます
Returns: trueならデータの取得に成功 Definition at line 125 of file ConfigurationFile.cpp. References Lamp::HashMap< String, String >::get(), Lamp::String::getSize(), and Lamp::String::parseDouble().

bool Lamp::ConfigurationFile::getFloat | ( | const String & | key,
|  | float * | value
| ) | const`[virtual]`

  | floatデータの取得 Parameters:
  key | 取得するデータのキー
  value | [out] float化された値が代入されます
Returns: trueならデータの取得に成功 Definition at line 118 of file ConfigurationFile.cpp. References Lamp::HashMap< String, String >::get(), Lamp::String::getSize(), and Lamp::String::parseFloat().

bool Lamp::ConfigurationFile::getInt | ( | const String & | key,
|  | int * | value
| ) | const`[virtual]`

  | intデータの取得 Parameters:
  key | 取得するデータのキー
  value | [out] int化された値が代入されます
Returns: trueならデータの取得に成功 Definition at line 104 of file ConfigurationFile.cpp. References Lamp::HashMap< String, String >::get(), Lamp::String::getSize(), and Lamp::String::parseInt().

bool Lamp::ConfigurationFile::getShort | ( | const String & | key,
|  | short * | value
| ) | const`[virtual]`

  | shortデータの取得 Parameters:
  key | 取得するデータのキー
  value | [out] short化された値が代入されます
Returns: trueならデータの取得に成功 Definition at line 90 of file ConfigurationFile.cpp. References Lamp::HashMap< String, String >::get(), Lamp::String::getSize(), and Lamp::String::parseShort().

bool Lamp::ConfigurationFile::getString | ( | const String & | key,
|  | String * | value
| ) | const`[virtual]`

  | Stringデータの取得. Parameters:
  key | 取得するデータのキー
  value | [out] String値が代入されます
Returns: trueならデータの取得に成功 Definition at line 132 of file ConfigurationFile.cpp. References Lamp::String::charAt(), Lamp::HashMap< String, String >::get(), and Lamp::String::getSize().

bool Lamp::ConfigurationFile::getUChar | ( | const String & | key,
|  | u_char * | value
| ) | const`[virtual]`

  | u_charデータの取得 Parameters:
  key | 取得するデータのキー
  value | [out] u_char化された値が代入されます
Returns: trueならデータの取得に成功 Definition at line 83 of file ConfigurationFile.cpp. References Lamp::HashMap< String, String >::get(), Lamp::String::getSize(), and Lamp::String::parseUChar().

bool Lamp::ConfigurationFile::getUInt | ( | const String & | key,
|  | u_int * | value
| ) | const`[virtual]`

  | u_intデータの取得 Parameters:
  key | 取得するデータのキー
  value | [out] u_int化された値が代入されます
Returns: trueならデータの取得に成功 Definition at line 111 of file ConfigurationFile.cpp. References Lamp::HashMap< String, String >::get(), Lamp::String::getSize(), and Lamp::String::parseUInt().

bool Lamp::ConfigurationFile::getUShort | ( | const String & | key,
|  | u_short * | value
| ) | const`[virtual]`

  | u_shortデータの取得 Parameters:
  key | 取得するデータのキー
  value | [out] u_short化された値が代入されます
Returns: trueならデータの取得に成功 Definition at line 97 of file ConfigurationFile.cpp. References Lamp::HashMap< String, String >::get(), Lamp::String::getSize(), and Lamp::String::parseUShort().

The documentation for this class was generated from the following files:

- ConfigurationFile.h
- ConfigurationFile.cpp